%define major   1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d


Name:           admesh
Version:        0.98.5
Release:        %mkrel 1
Summary:        Diagnose and/or repair problems with STereo Lithography files
License:        GPLv2+
Group:          Graphics/3D
URL:            http://github.com/%{name}/%{name}/
Source0:        http://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch0:         admesh-0.98.1-mga-subdir_objects.patch
Patch1:         e84d8353f1347e1f26f0a95770d92ba14e6ede38.patch

Requires:       %{libname} = %{version}-%{release}

%description
ADMesh is a program for diagnosing and/or repairing commonly encountered
problems with STL (STereo Lithography) data files. It can remove degenerate
and unconnected facets, connect nearby facets, fill holes by adding facets,
and repair facet normals. Simple transformations such as scaling,
translation and rotation are also supported. ADMesh can read both
ASCII and binary format STL files, while the output can be in
AutoCAD DXF, Geomview OFF, STL, or VRML format.


%package -n %{develname}
Summary:        Development files for the %{name} library
Group:          Graphics/3D
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
ADMesh is a program for diagnosing and/or repairing commonly encountered
problems with STL (STereo Lithography) data files.

This package contains the development files needed for building new
applications that utilize the %{name} library.


%package -n %{libname}
Summary:        Runtime library for the %{name} application
Group:          Graphics/3D
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the %{name} runtime library.

%prep
%setup -q
%autopatch -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%{make_install}
# Remove the documentation installed by "make install" (rpm will handle that)
%__rm -rf %{buildroot}%{_defaultdocdir}/%{name}
# Remove the libtool archive installed by "make install"
%__rm -f %{buildroot}%{_libdir}/lib%{name}.la

%files
%doc ChangeLog ChangeLog.old COPYING README.md AUTHORS
%doc %{name}-doc.txt block.stl
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib%{name}.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*


%changelog
* Thu Dec 01 2022 ns80 <ns80> 0.98.5-1.mga8
+ Revision: 1913778
- new version 0.98.5 for TALOS-2022-1594 (mga#31207)
- add upstream patch for CVE-2018-25033 (mga#30466)

* Tue Feb 18 2020 umeabot <umeabot> 0.98.4-2.mga8
+ Revision: 1538414
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 20 2019 daviddavid <daviddavid> 0.98.4-1.mga8
+ Revision: 1461804
- new version: 0.98.4

* Sun Sep 23 2018 umeabot <umeabot> 0.98.3-2.mga7
+ Revision: 1297287
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 shlomif <shlomif> 0.98.3-1.mga7
+ Revision: 1124219
- New version 0.98.3

* Sun Jan 17 2016 daviddavid <daviddavid> 0.98.2-2.mga6
+ Revision: 924829
- switch to %%configure2_5x to fix build

* Sat Jun 20 2015 shlomif <shlomif> 0.98.2-1.mga6
+ Revision: 836667
- New version 0.98.2

* Tue Jan 13 2015 shlomif <shlomif> 0.98.1-6.mga5
+ Revision: 810269
- Fix build
- New patch from Richard Houser with some enhancments.
  Fails to build due to "Installed (but unpackaged) file(s) found".
- Import admesh (Based on Fedora thanks to Richard Houser)


* Mon Jan 05 2015 Richard Houser <rick@divinesymphony.net> - 0.98.1-2
- Initial mga version forked from fedora package version 0.98.1 (Miro Hrončok and John C. Peterson)

